Bug 1559632 - Touchpad and Trackpoint locked together
Summary: Touchpad and Trackpoint locked together
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Tissoires
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-22 22:39 UTC by Kadir
Modified: 2019-02-13 06:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-13 02:30:14 UTC
Type: Bug


Attachments (Terms of Use)
0001-HID-alps-allow-incoming-reports-when-only-the-tracks.patch (1.72 KB, patch)
2018-10-12 14:00 UTC, Benjamin Tissoires
no flags Details | Diff

Description Kadir 2018-03-22 22:39:19 UTC
Description of problem:

When in a Wayland session disabling the touchpad also disables the trackpoint. Only when enabling the touchpad in gnome-settings (in Xorg) and returning to Wayland session the trackpoint works.

Version-Release number of selected component (if applicable):

Libinput 1.10.2-4.fc28

How reproducible:


Steps to Reproduce:
1. disable touchpad in Xorg
2. try to use trackpoint in Wayland
3. trackpoint does not work

Actual results:


Expected results:

The trackpoint should work regardless of the touchpad settings. In Xorg this is the behaviour, in Wayland the touchpad and trackpoint are locked together. 

Additional info:

This is on a Dell Latitude 7480

Comment 1 Peter Hutterer 2018-04-17 23:40:08 UTC
Sorry about the late answer, my email filters were messed up and dropped F28 emails. I see you've moved this to https://bugs.freedesktop.org/show_bug.cgi?id=106109 now, let's continue it there.

Comment 2 Benjamin Tissoires 2018-10-12 13:59:55 UTC
Let's reopen this, it was a kernel issue after all.
(see https://gitlab.gnome.org/GNOME/mutter/issues/128#note_343260)

Comment 3 Benjamin Tissoires 2018-10-12 14:00:36 UTC
Created attachment 1493338 [details]
0001-HID-alps-allow-incoming-reports-when-only-the-tracks.patch

Patch that fixes the issue.
I'll submit it in a few minutes.

Comment 4 Kadir 2018-11-24 20:08:19 UTC
Hi Benjamin,

Is the fix in for kernel 4.20?

Thank you

Comment 5 Peter Hutterer 2019-02-13 02:30:14 UTC
Upstream commit 7dd8db68949a7acc5bd528ee0ecb8f8720f49921, and git says 

$ git tag --contains 7dd8db68949a7acc5bd528ee0ecb8f8720f49921
v4.20
v4.20-rc2
v4.20-rc3
v4.20-rc4
v4.20-rc5
v4.20-rc6
v4.20-rc7
v5.0-rc1
v5.0-rc2
v5.0-rc3


So let's assume this one is in 4.20 and close this bug :)

Comment 6 Kadir 2019-02-13 06:48:58 UTC
Yes indeed, the fix is in 4.20. Thank you for fixing this issue, bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.